Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Class IsEmptyExpression

    java.lang.Object
      org.apache.openjpa.kernel.exps.Exp
          org.apache.openjpa.kernel.exps.IsEmptyExpression

All Implemented Interfaces:
  Serializable, Expression

     class IsEmptyExpression

extends Exp

Expression to test for an empty Collection.

Author:
  Abe White

Constructor Summary
`IsEmptyExpression(Val val)` Constructor.

Method Summary
`void` | `acceptVisit(ExpressionVisitor visitor)` Accept a visit from a tree visitor.
`protected boolean` | `eval(Collection candidates, StoreContext ctx, Object[] params)` Evaluate the expression for the given group.
`protected boolean` | `eval(Object candidate, Object orig, StoreContext ctx, Object[] params)` Evaluate the expression for the given context candidate and original candidate.

Methods inherited from class org.apache.openjpa.kernel.exps.Exp
`evaluate, evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsEmptyExpression

    public IsEmptyExpression(Val val)

  Constructor. Provide collection/map value to test.

Method Detail

### eval

    protected boolean eval(Object candidate,
                           Object orig,
                           StoreContext ctx,
                           Object[] params)

  Description copied from class: `Exp`
  Evaluate the expression for the given context candidate and original candidate.

  Overrides:
    `eval` in class `Exp`

### eval

    protected boolean eval(Collection candidates,
                           StoreContext ctx,
                           Object[] params)

  Description copied from class: `Exp`
  Evaluate the expression for the given group.

  Overrides:
    `eval` in class `Exp`

### acceptVisit

    public void acceptVisit(ExpressionVisitor visitor)

  Description copied from interface: `Expression`
  Accept a visit from a tree visitor.

  Specified by:
    `acceptVisit` in interface `Expression`
  Overrides:
    `acceptVisit` in class `Exp`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.